var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Panel, vlayout, layoutConfig, Gravity, text, Color, navbar, modal, } from "doric";
import { Database } from "./SQLite";
let DoricSQLite = class DoricSQLite extends Panel {
    onCreate() {
        this.init().then();
    }
    init() {
        return __awaiter(this, void 0, void 0, function* () {
            this.dataBase = yield Database.open(context, "test");
            if (this.dataBase) {
                yield this.dataBase.execute(`CREATE TABLE IF NOT EXISTS FileRecord  (
            id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
            name Text,
            type Text,
            fid Text,
            cid Text,
            pid Text,
            pc Text,
            extra Text,
            timestamp datetime default (datetime('now', 'localtime'))
       )`);
                const result = yield this.dataBase.executeQuery("SELECT * FROM FileRecord WHERE id = ?", [4]);
                modal(context).alert(JSON.stringify(result));
            }
        });
    }
    onShow() {
        navbar(context).setTitle("DoricSQLite");
    }
    build(rootView) {
        let number;
        let count = 0;
        vlayout([
            (number = text({
                textSize: 40,
                text: "0",
            })),
            text({
                text: "Click to count",
                textSize: 20,
                backgroundColor: Color.parse("#70a1ff"),
                textColor: Color.WHITE,
                onClick: () => {
                    var _a;
                    number.text = `${++count}`;
                    (_a = this.dataBase) === null || _a === void 0 ? void 0 : _a.execute("insert into FileRecord (name,type) values (?,?)", [`index:${count}`, "test"]);
                },
                layoutConfig: layoutConfig().just(),
                width: 200,
                height: 50,
            }),
        ])
            .apply({
            layoutConfig: layoutConfig().just().configAlignment(Gravity.Center),
            width: 200,
            height: 200,
            space: 20,
            border: {
                color: Color.BLUE,
                width: 1,
            },
            gravity: Gravity.Center,
        })
            .in(rootView);
    }
};
DoricSQLite = __decorate([
    Entry
], DoricSQLite);
//# sourceMappingURL=DoricSQLite.js.map